#!/bin/bash

LXCHOSTNAME=drupal24

lxc-stop -n drupal10
lxc-copy -n drupal10 -N $LXCHOSTNAME

# Funktion zur Generierung einer einzigartigen MAC-Adresse
generate_unique_hwaddr() {
    local hwaddr
    local existing_hwaddrs
    while : ; do
        hwaddr=$(printf '00:16:3e:%02x:%02x:%02x\n' $((RANDOM%256)) $((RANDOM%256)) $((RANDOM%256)))
        existing_hwaddrs=$(grep "lxc.net.0.hwaddr" /var/lib/lxc/*/config | grep "$hwaddr")
        if [ -z "$existing_hwaddrs" ]; then
            # MAC-Adresse ist einzigartig
            echo "$hwaddr"
            return
        fi
    done
}

# Generiere eine einzigartige MAC-Adresse
NEW_HWADDR=$(generate_unique_hwaddr)

# Pfad zur LXC-Konfigurationsdatei
CONFIG_FILE="/var/lib/lxc/$LXCHOSTNAME/config"

# Ersetze die existierende hwaddr Zeile
sed -i "/^lxc.net.0.hwaddr/c\lxc.net.0.hwaddr = $NEW_HWADDR" "$CONFIG_FILE"

#echo "MAC-Adresse in $CONFIG_FILE auf $NEW_HWADDR aktualisiert."

lxc-start -n drupal10 
