#!/bin/bash

# Funktion zur Generierung einer einzigartigen MAC-Adresse
generate_unique_hwaddr() {
    local hwaddr
    local existing_hwaddrs
    while : ; do
        hwaddr=$(printf '00:16:3e:%02x:%02x:%02x\n' $((RANDOM%256)) $((RANDOM%256)) $((RANDOM%256)))
        existing_hwaddrs=$(grep "lxc.net.0.hwaddr" /var/lib/lxc/*/config | grep "$hwaddr")
        if [ -z "$existing_hwaddrs" ]; then
            # MAC-Adresse ist einzigartig
            echo "$hwaddr"
            return
        fi
    done
}

# Generiere eine einzigartige MAC-Adresse
NEW_HWADDR=$(generate_unique_hwaddr)

grep "lxc.net.0.hwaddr" /var/lib/lxc/*/config | awk '{print $3}'
echo "$NEW_HWADDR new hwaddr"

